Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.util
Class ContextUser

    java.lang.Object
      |
      +--context.arch.util.ContextUser

public class ContextUser
extends java.lang.Object

This class implements a context user object, encapsulating a user's description (usually a name), their full name, email address, organization, and iButton id.

See Also:
  `ContextUsers`

Constructor Summary
`ContextUser(java.lang.String description, java.lang.String name, java.lang.String email, java.lang.String organization, java.lang.String ibuttonid)` Basic constructor

Method Summary
`java.lang.String` | `getDescription()` Returns the user's description
`java.lang.String` | `getEmail()` Returns the user's email address
`java.lang.String` | `getIButtonId()` Returns the user's iButton id
`java.lang.String` | `getName()` Returns the user's name
`java.lang.String` | `getOrganization()` Returns the user's organization
`void` | `setDescription(java.lang.String description)` Sets the user's description
`void` | `setEmail(java.lang.String email)` Sets the user's email address
`void` | `setIButtonId(java.lang.String ibuttonid)` Sets the user's iButton id
`void` | `setName(java.lang.String name)` Sets the user's name
`void` | `setOrganization(java.lang.String organization)` Sets the user's organization

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextUser

    public ContextUser(java.lang.String description,
                       java.lang.String name,
                       java.lang.String email,
                       java.lang.String organization,
                       java.lang.String ibuttonid)

  Basic constructor
  Parameters:
    `description` - Description of the user (usually a name)
    `name` - Full name of the user
    `email` - Email address of the user
    `organization` - Organization the user belongs to
    `ibuttonid` - iButton id of the user

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns the user's description
  Returns:
    the user's description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the user's description
  Parameters:
    `description` - the user's description

### getName

    public java.lang.String getName()

  Returns the user's name
  Returns:
    the user's name

### setName

    public void setName(java.lang.String name)

  Sets the user's name
  Parameters:
    `name` - the user's name

### getEmail

    public java.lang.String getEmail()

  Returns the user's email address
  Returns:
    the user's email address

### setEmail

    public void setEmail(java.lang.String email)

  Sets the user's email address
  Parameters:
    `email` - the user's email address

### getOrganization

    public java.lang.String getOrganization()

  Returns the user's organization
  Returns:
    the user's organization

### setOrganization

    public void setOrganization(java.lang.String organization)

  Sets the user's organization
  Parameters:
    `organization` - the user's organization

### getIButtonId

    public java.lang.String getIButtonId()

  Returns the user's iButton id
  Returns:
    the user's ibutton id

### setIButtonId

    public void setIButtonId(java.lang.String ibuttonid)

  Sets the user's iButton id
  Parameters:
    `ibuttonid` - the user's iButton id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD